<main>
  <section class="section section-shaped section-lg">
    <div class="shape shape-style-1 bg-gradient-default">
      <span></span>
      <span></span>
      <span></span>
      <span></span>
      <span></span>
      <span></span>
      <span></span>
      <span></span>
    </div>
    <div class="container pt-lg-md">
      <div class="row justify-content-center">
        <div class="col-lg-5">
          <div class="card bg-secondary shadow border-0">
            <div class="card-header bg-white pb-5">
              <div class="text-muted text-center mb-3">
                <small>Sign in with</small>
              </div>
              <div class="btn-wrapper text-center">
                <a href="javascript:void(0)" class="btn btn-neutral btn-icon">
                  <span class="btn-inner--icon">
                    <img src="./assets/img/icons/common/github.svg">
                  </span>
                  <span class="btn-inner--text">Github</span>
                </a>
                <a href="javascript:void(0)" class="btn btn-neutral btn-icon">
                  <span class="btn-inner--icon">
                    <img src="./assets/img/icons/common/google.svg">
                  </span>
                  <span class="btn-inner--text">Google</span>
                </a>
              </div>
            </div>
            <div class="card-body px-lg-5 py-lg-5">
              <div class="text-center text-muted mb-4">
                <small>Or sign in with credentials</small>
              </div>
              <form #loginForm="ngForm" (ngSubmit)="onSubmit(loginForm)">
                <div class="form-group mb-3" [ngClass]="{'focused': focus === true}">
                  <div class="input-group input-group-alternative">
                    <div class="input-group-prepend">
                      <span class="input-group-text"><i class="ni ni-email-83"></i></span>
                    </div>
                    <input class="form-control" placeholder="Email" type="email" name="email" [(ngModel)]="user.email" required
                      (focus)="focus = true" (blur)="focus = false">
                  </div>
                </div>
                <div class="form-group" [ngClass]="{'focused': focus1 === true}">
                  <div class="input-group input-group-alternative">
                    <div class="input-group-prepend">
                      <span class="input-group-text"><i class="ni ni-lock-circle-open"></i></span>
                    </div>
                    <input class="form-control" placeholder="Password" type="password" name="password" [(ngModel)]="user.password"
                      required pattern="^(?=.*[a-zA-Z])(?=.*\d).+$" (focus)="focus1 = true" (blur)="focus1 = false">
                  </div>
                  <div *ngIf="loginForm.controls['password'].touched && loginForm.controls['password'].invalid">
                    <p *ngIf="loginForm.controls['password'].errors?.required">Le mot de passe est requis.</p>
                    <p *ngIf="loginForm.controls['password'].errors?.pattern" class="color ">Le mot de passe doit contenir des lettres et des chiffres.</p>
                  </div>
                </div>
                <div class="custom-control custom-control-alternative custom-checkbox">
                  <input class="custom-control-input" id="customCheckLogin" type="checkbox" name="rememberMe" [(ngModel)]="rememberMe">
                  <label class="custom-control-label" for="customCheckLogin">
                    <span>Remember me</span>
                  </label>
                </div>
                <div *ngIf="loginError" class="error-message">
                  {{ loginError }}
                </div>
                <div class="text-center">
                  <button type="submit" class="btn btn-primary my-4">Sign in</button>
                </div>
              </form>
              
            </div>
          </div>
          <div class="row mt-3">
            <div class="col-6">
              <a href="javascript:void(0)" class="text-light">
                <small>Forgot password?</small>
              </a>
            </div>
            <div class="col-6 text-right">
              <a href="javascript:void(0)" class="text-light">
                <small>Create new account</small>
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</main>
